liblzma (XZ Utils): Data Fields

| liblzma (XZ Utils) 5.6.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- alloc : lzma_allocator
- allocator : lzma_stream
- avail_in : lzma_stream
- avail_out : lzma_stream

### - b -

- backward_size : lzma_stream_flags
- block_count : lzma_index_iter
- block_size : lzma_mt

### - c -

- check : lzma_block, lzma_mt, lzma_stream_flags
- compressed_file_offset : lzma_index_iter
- compressed_offset : lzma_index_iter
- compressed_size : lzma_block, lzma_index_iter
- compressed_stream_offset : lzma_index_iter

### - d -

- depth : lzma_options_lzma
- dict_size : lzma_options_lzma
- dist : lzma_options_delta

### - e -

- ext_flags : lzma_options_lzma
- ext_size_high : lzma_options_lzma
- ext_size_low : lzma_options_lzma

### - f -

- filters : lzma_block, lzma_mt
- flags : lzma_index_iter, lzma_mt
- free : lzma_allocator

### - h -

- header_size : lzma_block

### - i -

- id : lzma_filter
- ignore_check : lzma_block
- internal : lzma_stream

### - l -

- lc : lzma_options_lzma
- lp : lzma_options_lzma

### - m -

- memlimit_stop : lzma_mt
- memlimit_threading : lzma_mt
- mf : lzma_options_lzma
- mode : lzma_options_lzma

### - n -

- next_in : lzma_stream
- next_out : lzma_stream
- nice_len : lzma_options_lzma
- number : lzma_index_iter
- number_in_file : lzma_index_iter
- number_in_stream : lzma_index_iter

### - o -

- opaque : lzma_allocator
- options : lzma_filter

### - p -

- padding : lzma_index_iter
- pb : lzma_options_lzma
- preset : lzma_mt
- preset_dict : lzma_options_lzma
- preset_dict_size : lzma_options_lzma

### - r -

- raw_check : lzma_block

### - s -

- seek_pos : lzma_stream
- start_offset : lzma_options_bcj

### - t -

- threads : lzma_mt
- timeout : lzma_mt
- total_in : lzma_stream
- total_out : lzma_stream
- total_size : lzma_index_iter
- type : lzma_options_delta

### - u -

- uncompressed_file_offset : lzma_index_iter
- uncompressed_offset : lzma_index_iter
- uncompressed_size : lzma_block, lzma_index_iter
- uncompressed_stream_offset : lzma_index_iter
- unpadded_size : lzma_index_iter

### - v -

- version : lzma_block, lzma_stream_flags

XZ logo © 2023 by Jia Tan is licensed under CC BY-SA 4.0